Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::gui::IGUIToolBar Class Reference

Stays at the top of its parent like the menu bar and contains tool buttons. More...

`#include <IGUIToolbar.h>`

Inheritance diagram for irr::gui::IGUIToolBar:

List of all members.

## Public Member Functions
virtual IGUIButton * | addButton (s32 id=-1, const wchar_t *text=0, const wchar_t *tooltiptext=0, video::ITexture *img=0, video::ITexture *pressedimg=0, bool isPushButton=false, bool useAlphaChannel=false)=0
| Adds a button to the tool bar.
| IGUIToolBar (IGUIEnvironment *environment, IGUIElement *parent, s32 id, core::rect< s32 > rectangle)
| constructor

## Detailed Description

Stays at the top of its parent like the menu bar and contains tool buttons.

Definition at line 21 of file IGUIToolbar.h.

## Constructor & Destructor Documentation

irr::gui::IGUIToolBar::IGUIToolBar | ( | IGUIEnvironment * | environment,
|  | IGUIElement * | parent,
|  | s32 | id,
|  | core::rect< s32 > | rectangle |
| ) |  |  | `[inline]`

constructor

Definition at line 26 of file IGUIToolbar.h.

## Member Function Documentation

virtual IGUIButton* irr::gui::IGUIToolBar::addButton | ( | s32 | id = `-1`,
|  | const wchar_t * | text = `0`,
|  | const wchar_t * | tooltiptext = `0`,
|  | video::ITexture * | img = `0`,
|  | video::ITexture * | pressedimg = `0`,
|  | bool | isPushButton = `false`,
|  | bool | useAlphaChannel = `false` |
| ) |  |  | `[pure virtual]`

Adds a button to the tool bar.

The documentation for this class was generated from the following file:

- IGUIToolbar.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:05 2010 by Doxygen (1.6.2)